/*-------------home--------------*/

.home__services--df {
  display: flex;
  align-items: center;
}

.text-highlight span {
  display: inline-block;
  left: -1px;
  position: absolute;
  z-index: -1;
  width: calc(100% + 6px);
}

.home__sss--df {
  display: flex;
  align-items: center;
}

.bg-base-color {
  background-color: #2498f7 !important;
}

.blog__hd {
  height: 461px !important;
}

.home__about--df {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
  height: 100%;
}

.mb-01 {
  margin-bottom: 0 !important;
  display: flex;
  justify-content: center;
}

/*-------------reference--------------*/

.referene__gr {
  display: grid;
  grid-template-columns: repeat(4, 2fr);
  gap: 50px;
}

.contact__form--mb {
  margin-top: 0 !important;
}

/*-------------footer--------------*/

.footer__gr {
  display: grid;
  grid-template-columns: repeat(4, 2fr);
  gap: 30px;
}

.footer__pages {
  display: flex;
  flex-direction: column;
  padding-left: 0 !important;
}

.footer__pages--pl {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

footer .footer-logo img {
  max-height: 100%;
}

.footer__icon--df {
  display: flex !important;
  justify-content: center;
  gap: 10px;
}

.footer__list {
  height: 100%;
}

.footer-text {
  color: #ffff;
}

/*-------------responsive--------------*/

@media (max-width: 991px) {
  .navbar.bg-transparent,
  .navbar-modern-inner.bg-transparent,
  .navbar-full-screen-menu-inner.bg-transparent {
    background-color: #2498f7 !important;
  }

  .navbar-toggler-line {
    background: #fff;
  }

  .footer__gr {
    display: grid;
    grid-template-columns: repeat(2, 2fr);
    gap: 30px;
  }

  .blog__hd {
    height: 280px !important;
  }

  .page-title-extra-large h1 {
    font-size: 65px;
    line-height: 43px;
  }
}

@media (max-width: 635px) {
  .footer__gr {
    display: grid;
    grid-template-columns: repeat(1, 2fr);
    gap: 30px;
  }
}

@media (max-width: 575px) {
  .blog__hd {
    height: 550px !important;
  }
}

@media (max-width: 435px) {
  .header__mobile--btn {
    display: none !important;
  }

  .services__mobile--df {
    display: flex;
    flex-direction: column-reverse;
    gap: 30px;
  }

  .referene__gr {
    display: grid;
    grid-template-columns: repeat(1, 2fr);
    gap: 50px;
  }

  .blog__hd {
    height: 450px !important;
  }
}

@media (max-width: 425px) {
  .page-title-extra-large h1 {
    font-size: 65px;
    line-height: 60px;
  }
}

@media (max-width: 320px) {
  .page-title-extra-large h1 {
    font-size: 50px;
    line-height: 45px;
  }
}
